### Method

# Gdk DevicePadget_n_groups

#### Declaration [src]

    int
    gdk_device_pad_get_n_groups (
      GdkDevicePad* pad
    )

#### Description [src]

Returns the number of groups this pad device has.

Pads have at least one group. A pad group is a subcollection of buttons/strip/rings that is affected collectively by a same current mode.

#### Return value

Type: `int`

The number of button/ring/strip groups in the pad.